# TdApi.CallStateReady (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: CallStateReady

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CallStateReady

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallState
it.tdlight.jni.TdApi.CallStateReady

Enclosing class:
  TdApi

public static final class TdApi.CallStateReady extends TdApi.CallState
The call is ready to use.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowP2p`
True, if peer-to-peer connection is allowed by users privacy settings.
`String`
`config`
A JSON-encoded call config.
`static final int`
`CONSTRUCTOR`
`String[]`
`emojis`
Encryption key emojis fingerprint.
`byte[]`
`encryptionKey`
Call encryption key.
`TdApi.CallProtocol`
`protocol`
Call protocols supported by the peer.
`TdApi.CallServer[]`
`servers`
List of available call servers.

## Constructor Summary

Constructors
Constructor
Description
`CallStateReady()`
The call is ready to use.
`CallStateReady(TdApi.CallProtocol protocol, TdApi.CallServer[] servers, String config, byte[] encryptionKey, String[] emojis, boolean allowP2p)`
The call is ready to use.
`CallStateReady(DataInput input)`
The call is ready to use.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### protocol

public TdApi.CallProtocol protocol
Call protocols supported by the peer.

### servers

public TdApi.CallServer[] servers
List of available call servers.

### config

public String config
A JSON-encoded call config.

### encryptionKey

public byte[] encryptionKey
Call encryption key.

### emojis

public String[] emojis
Encryption key emojis fingerprint.

### allowP2p

public boolean allowP2p
True, if peer-to-peer connection is allowed by users privacy settings.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### CallStateReady

public CallStateReady()
The call is ready to use.

### CallStateReady

public CallStateReady(TdApi.CallProtocol protocol, TdApi.CallServer[] servers, String config, byte[] encryptionKey, String[] emojis, boolean allowP2p)
The call is ready to use.

Parameters:
  `protocol` - CallProtocol Call protocols supported by the peer.
  `servers` - CallServer[] List of available call servers.
  `config` - String A JSON-encoded call config.
  `encryptionKey` - byte[] Call encryption key.
  `emojis` - String[] Encryption key emojis fingerprint.
  `allowP2p` - boolean True, if peer-to-peer connection is allowed by users privacy settings.

### CallStateReady

public CallStateReady(DataInput input) throws IOException
The call is ready to use.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`